Subject: Re: [extropy-chat] accelerating evolution?

From: [email-masked]
Date: Wed, 28 Mar 2007 11:59:16 -0700

I tend to agree. In fact, I think that the one key evolved characteristic of human beings that gave us an edge over all other hominids is an ability to rapidly evolve. This is the thing that has allowed us to live through major environmental changes while other hominids never quite made it. Our mind is simply a part of that flexibility and adaptability. One day I hope to find time to follow up on this idea further.

-------- Original Message --------
Subject: [extropy-chat] accelerating evolution?
From: Damien Broderick <[email-masked]>
Date: Wed, March 28, 2007 9:17 am
To: "'ExI chat list'" <[email-masked]>

http://www.world-science.net/exclusives/070326_evolution.htm

----------
Human evolution, radically reappraised

March 26, 2007

Human evolution has been speeding up tremendously, a new study contends [etc]

_______________________________________________
extropy-chat mailing list
[email-masked]
http://lists.extropy.org/mailman/listinfo.cgi/extropy-chat

_______________________________________________
extropy-chat mailing list
[email-masked]
http://lists.extropy.org/mailman/listinfo.cgi/extropy-chat